## nextcloud-desktop 3.17.2~tux1

=== debian/changelog ===
nextcloud-desktop (3.17.2~tux1) noble; urgency=medium

  * new upstream version - 3.17.2
  * Changelog: https://github.com/nextcloud-releases/desktop/releases/tag/v3.17.2

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Tue, 16 Sep 2025 14:06:41 +0000

nextcloud-desktop (3.17.1~tux1) noble; urgency=medium

  * new upstream version - 3.17.1
  * Changelog: https://github.com/nextcloud-releases/desktop/releases/tag/v3.17.1

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Tue, 19 Aug 2025 14:06:25 +0000

nextcloud-desktop (3.17.0~tux1) noble; urgency=medium

  * new upstream version - 3.17.0
  * Changelog: https://github.com/nextcloud-releases/desktop/releases/tag/v3.17.0

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Wed, 13 Aug 2025 14:06:10 +0000

nextcloud-desktop (3.16.6~tux1) noble; urgency=medium

  * new upstream version - 3.16.6
  * Changelog: https://github.com/nextcloud-
    releases/desktop/releases/tag/v3.16.6

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Thu, 19 Jun 2025 10:03:08 +0000

nextcloud-desktop (3.16.5~tux1) noble; urgency=medium

  * new upstream version - 3.16.5
  * Changelog: https://github.com/nextcloud-
    releases/desktop/releases/tag/v3.16.5

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Tue, 03 Jun 2025 10:03:32 +0000

nextcloud-desktop (3.16.4~tux1) noble; urgency=medium

  * new upstream version - 3.16.4
  * Changelog: https://github.com/nextcloud-
    releases/desktop/releases/tag/v3.16.4

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Mon, 28 Apr 2025 14:03:17 +0000

nextcloud-desktop (3.16.3~tux1) noble; urgency=medium

  * new upstream version - 3.16.3
  * Changelog: https://github.com/nextcloud-
    releases/desktop/releases/tag/v3.16.3

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Wed, 16 Apr 2025 14:03:06 +0000

nextcloud-desktop (3.16.2~tux1) noble; urgency=medium

  * new upstream version - 3.16.2
  * Changelog: https://github.com/nextcloud-
    releases/desktop/releases/tag/v3.16.2

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Wed, 19 Mar 2025 19:03:06 +0000

nextcloud-desktop (3.16.1~tux1) noble; urgency=medium

  * new upstream version - 3.16.1
  * Changelog: https://github.com/nextcloud-
    releases/desktop/releases/tag/v3.16.1

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Thu, 13 Mar 2025 19:03:33 +0000

nextcloud-desktop (3.16.0~tux1) noble; urgency=medium

  * new upstream version - 3.16.0
  * Changelog: https://github.com/nextcloud-
    releases/desktop/releases/tag/v3.16.0

 -- TUXEDO Computers <tux@tuxedocomputers.com>  Mon, 10 Mar 2025 11:04:13 +0000

nextcloud-desktop (3.15.3-1tux1) noble; urgency=medium

  * New upstream release.
  * https://github.com/nextcloud-releases/desktop/releases/tag/v3.15.3

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 09 Jan 2025 11:50:21 +0100

nextcloud-desktop (3.15.2-1tux1) noble; urgency=medium

  * New upstream release.
    Changelog: https://github.com/nextcloud-releases/desktop/releases/tag/v3.15.2

 -- Torsten Wohlfarth <towo@tuxedocomputers.com>  Tue, 17 Dec 2024 20:39:32 +0100

nextcloud-desktop (3.15.0-1tux1) noble; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud-releases/desktop/releases/tag/v3.15.0

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 25 Nov 2024 18:00:03 +0100

nextcloud-desktop (3.14.3-1tux1) jammy-plasma; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud-releases/desktop/releases/tag/v3.14.3

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 07 Nov 2024 10:44:45 +0100

nextcloud-desktop (3.14.2-1tux1) jammy-plasma; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud/desktop/releases/tag/v3.14.2

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 18 Oct 2024 12:00:04 +0200

nextcloud-desktop (3.14.1-1tux1) jammy-plasma; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud/desktop/releases/tag/v3.14.1

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 07 Oct 2024 13:16:12 +0200

nextcloud-desktop (3.14.0-1tux1) jammy-plasma; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud/desktop/releases/tag/v3.14.0

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Mon, 16 Sep 2024 16:00:02 +0200

nextcloud-desktop (3.14.0-1tux1) jammy; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud/desktop/releases/tag/v3.14.0

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Sat, 14 Sep 2024 11:00:04 +0200

nextcloud-desktop (3.13.4-1tux1) jammy; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud/desktop/releases/tag/v3.13.4

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 12 Sep 2024 13:00:04 +0200

nextcloud-desktop (3.13.3-1tux1) jammy; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud/desktop/releases/tag/v3.13.3

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Fri, 23 Aug 2024 12:00:04 +0200

nextcloud-desktop (3.13.2-1tux1) jammy; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud/desktop/releases/tag/v3.13.2

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 09 Jul 2024 14:00:05 +0200

nextcloud-desktop (3.13.1-1tux1) jammy; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud/desktop/releases/tag/v3.13.1

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 02 Jul 2024 11:00:02 +0200

nextcloud-desktop (3.13.0-1tux1) jammy; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud/desktop/releases/tag/v3.13.0

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Wed, 24 Apr 2024 14:00:03 +0200

nextcloud-desktop (3.12.3-1tux1) jammy; urgency=medium

  * New upstream release.
  * Changelog: https://github.com/nextcloud/desktop/releases/tag/v3.12.3

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 28 Mar 2024 17:00:01 +0100



=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
export DEB_BUILD_OPTIONS += noddebs nocheck
export BUILD_UPSTREAM_VERSION := $(shell dpkg-parsechangelog --file "debian/changelog" --show-field Version | sed 's/^.*://; s/~[^~-]*$$//')
export BUILD_VERSION := $(shell dpkg-parsechangelog --file "debian/changelog" --show-field Version | sed 's/^.*://')
export ORIGINAL_DIR := $(shell pwd)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

webengine_archs := amd64 arm64 armhf i386
ifeq ($(DEB_HOST_ARCH), $(filter $(DEB_HOST_ARCH),$(webengine_archs)))
BUILD_WEBENGINE := ON
else
BUILD_WEBENGINE := OFF
endif

override_dh_auto_clean:
	@echo "Downloading upstream files for '$(BUILD_UPSTREAM_VERSION)'..."
	@if ! curl -L -o "/tmp/upstream-files.tar.gz" "https://github.com/nextcloud/desktop/archive/refs/tags/v$(BUILD_UPSTREAM_VERSION).tar.gz"; then \
	    echo "No tar found for this version '$(BUILD_UPSTREAM_VERSION)'" \
	    exit 1; \
	fi
	mkdir -p /tmp/nextcloud-desktop/
	@tar -xzvf "/tmp/upstream-files.tar.gz" -C "/tmp/nextcloud-desktop/"; \
	cd "/tmp/nextcloud-desktop/" && \
	tar -acvf "nextcloud-desktop_$(BUILD_VERSION).orig.tar.xz" "desktop-$(BUILD_UPSTREAM_VERSION)/"
	cd "$(ORIGINAL_DIR)" && \
	mv "/tmp/nextcloud-desktop/nextcloud-desktop_$(BUILD_VERSION).orig.tar.xz" "../" && \
	cp -rpv "/tmp/nextcloud-desktop/desktop-$(BUILD_UPSTREAM_VERSION)/". "./"
	dh_auto_clean

CONFIGURE_OPTIONS := -DCMAKE_INSTALL_PREFIX=/usr \
	-DBUILD_UPDATER=OFF \
	-DPLUGINDIR=/usr/lib/$(DEB_HOST_GNU_TYPE)/qt6/plugins \
	-DEXTERNAL_VERSION=$(DEB_VERSION)

%:
	dh $@

override_dh_auto_configure:
ifeq (-i,$(findstring -i, $(DH_INTERNAL_OPTIONS)))
	@echo " -- Configure for arch all only build --"
	dh_auto_configure -- \
		-DBUILD_TESTING=OFF \
		-DBUILD_SHELL_INTEGRATION_DOLPHIN=OFF \
		-DBUILD_WITH_WEBENGINE=OFF \
		$(CONFIGURE_OPTIONS)
else
	dh_auto_configure -- \
		-DUNIT_TESTING=ON \
		-DBUILD_WITH_WEBENGINE=$(BUILD_WEBENGINE) \
		$(CONFIGURE_OPTIONS)
endif
execute_before_dh_auto_build-arch:
	@echo "blhc: ignore-line-regexp: .*/CMakeCXXCompilerABI.cpp.*"
	#tests are not built with all hardening, to debug stuff more easily
	@echo "blhc: ignore-line-regexp: .*Test.dir/.*"
	@echo "blhc: ignore-line-regexp: .*/check_.*.dir/.*"
	@echo "blhc: ignore-line-regexp: .*/test/csync/torture_.*"
	@echo "blhc: ignore-line-regexp: .*/test/.*"
	@echo "blhc: ignore-line-regexp: .*/LargeSyncBench\.dir/.*"

# unfortunately icons and translations are installed only together with the gui, so we need to run dh_auto_build
execute_before_dh_auto_build-indep:
	dh_auto_build -- -C shell_integration/nautilus

override_dh_auto_test-arch:
	mkdir -p obj-$(DEB_HOST_GNU_TYPE)/config
	- LC_ALL=C.UTF-8 XDG_CONFIG_HOME=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/config xvfb-run -a \
	       -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
	       -- dh_auto_test --no-parallel
	rm -r obj-$(DEB_HOST_GNU_TYPE)/config

override_dh_auto_test-indep:

execute_after_dh_sphinxdoc:
	$(RM) -v debian/tmp/usr/share/doc/client/nextcloud-client/html/unthemed/.buildinfo

execute_after_dh_link-indep:
	jdupes -rl debian/nextcloud-desktop-doc/usr

## nextcloud-desktop 3.17.2-20250916.174009.d15dca2ae-1.0~jammy1+11.0trisquel4

=== debian/changelog ===
nextcloud-desktop (3.17.2-20250916.174009.d15dca2ae-1.0~jammy1+11.0trisquel4) aramo-backports; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Sep 2025 01:33:52 +0000

nextcloud-desktop (3.17.2-20250916.174009.d15dca2ae-1.0~jammy1) jammy; urgency=medium

  * Merge tag 'v3.17.2' into HEAD

 -- Drone User <drone@noemail.invalid>  Tue, 16 Sep 2025 17:40:11 +0000

nextcloud-desktop (2.7.0-20250916.173908.78e3df0c0-1.0~jammy1) jammy; urgency=medium

  * Revert "CMakeLists.txt fix for detecting Linux."

 -- István Váradi <ivaradi@varadiistvan.hu>  Tue, 16 Sep 2025 19:39:08 +0200

nextcloud-desktop (3.17.2-20250916.084515.d15dca2ae-1.0~jammy1) jammy; urgency=medium

  * chore: prepare for release 3.17.2

 -- Jyrki Gadinger <nilsding@nilsding.org>  Tue, 16 Sep 2025 10:45:15 +0200

nextcloud-desktop (3.17.1-20250916.072856.deb88ee10-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8752 from nextcloud/backport/8667/stable-3.17

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 Sep 2025 09:28:56 +0200

nextcloud-desktop (2.7.0-20250830.083902.74dc92f10-1.0~jammy1) jammy; urgency=medium

  * Updated the Qt6 patch

 -- István Váradi <ivaradi@varadiistvan.hu>  Sat, 30 Aug 2025 10:39:02 +0200

nextcloud-desktop (2.7.0-20250828.172505.382cddd84-1.0~jammy1) jammy; urgency=medium

  * CMakeLists.txt fix for detecting Linux.

 -- István Váradi <ivaradi@varadiistvan.hu>  Thu, 28 Aug 2025 19:25:05 +0200

nextcloud-desktop (3.17.1-20250828.140425.5b93ba474-1.0~jammy1) jammy; urgency=medium

  * fix:(logs): add a missing category for one fatal log line

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 28 Aug 2025 16:04:25 +0200

nextcloud-desktop (3.17.1-20250828.140319.49cb424f8-1.0~jammy1) jammy; urgency=medium

  * fix(windows): remove our hack to crash on windows for fatal logs

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 28 Aug 2025 16:03:19 +0200

nextcloud-desktop (3.17.1-20250828.140153.2160769f4-1.0~jammy1) jammy; urgency=medium

  * fix(logger): brings back crash dump on fatal log output

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 28 Aug 2025 16:01:53 +0200

nextcloud-desktop (3.17.1-20250916.030008.c82a3e7fc-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 16 Sep 2025 03:00:08 +0000

nextcloud-desktop (3.17.1-20250915.025952.2669c3411-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 15 Sep 2025 02:59:52 +0000

nextcloud-desktop (3.17.1-20250914.025846.5f13a8d3e-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 14 Sep 2025 02:58:46 +0000

nextcloud-desktop (3.17.1-20250913.131429.443b7561c-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8736 from nextcloud/backport/8611/stable-3.17

 -- Jyrki Gadinger <nilsding@nilsding.org>  Sat, 13 Sep 2025 15:14:29 +0200

nextcloud-desktop (3.17.1-20250818.100949.3a7f4a285-1.0~jammy1) jammy; urgency=medium

  * feat(gui): inform the user about untrusted certs with HSTS

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 18 Aug 2025 12:09:49 +0200

nextcloud-desktop (3.17.1-20250913.030030.b6c90e363-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 13 Sep 2025 03:00:30 +0000

nextcloud-desktop (3.17.1-20250912.120052.ceeab0119-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8730 from nextcloud/backport/8726/stable-3.17

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 12 Sep 2025 14:00:52 +0200

nextcloud-desktop (3.17.1-20250911.083851.514826484-1.0~jammy1) jammy; urgency=medium

  * fix: Added clearance of NextcloudKit account error state on injection of credentials.

 -- Iva Horn <iva.horn@icloud.com>  Thu, 11 Sep 2025 10:38:51 +0200

nextcloud-desktop (3.17.1-20250912.083154.41b388652-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8732 from nextcloud/backport/8690/stable-3.17

 -- Jyrki Gadinger <nilsding@nilsding.org>  Fri, 12 Sep 2025 10:31:54 +0200

nextcloud-desktop (3.17.1-20250902.233304.faaba1066-1.0~jammy1) jammy; urgency=medium

  * refactor: introduce minimumScrollBarWidth and minimumScrollBarThumbSize as part of the style

 -- Baris <basar.baris1209@gmail.com>  Wed, 3 Sep 2025 01:33:04 +0200

nextcloud-desktop (3.17.1-20250831.200646.c4b153769-1.0~jammy1) jammy; urgency=medium

  * fix(ActivityList): set minimum width and thumb-size for vertical ScrollBar

 -- Baris <basar.baris1209@gmail.com>  Sun, 31 Aug 2025 22:06:46 +0200

nextcloud-desktop (3.17.1-20250830.215728.61087d5b8-1.0~jammy1) jammy; urgency=medium

  * fix(AcitivityList): fix scrollbar on the right Co-authored-by: Mike Mengjie Huang <mike0609king@gmail.com>

 -- Baris <basar.baris1209@gmail.com>  Sat, 30 Aug 2025 23:57:28 +0200

nextcloud-desktop (3.17.1-20250912.080321.600644e7f-1.0~jammy1) jammy; urgency=medium

  * Merge pull request #8731 from nextcloud/backport/8676/stable-3.17

 -- Jyrki Gadinger <nilsding@nilsding.org>  Fri, 12 Sep 2025 10:03:21 +0200

nextcloud-desktop (3.17.1-20250830.214017.3cf1cce4d-1.0~jammy1) jammy; urgency=medium

  * fix(activityItemContent): make text color light on activityItem activeFocus Co-authored-by: Mike Mengjie Huang <mike0609king@gmail.com>

 -- Baris <basar.baris1209@gmail.com>  Sat, 30 Aug 2025 23:40:17 +0200

nextcloud-desktop (3.17.1-20250912.030322.9342eec79-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 12 Sep 2025 03:03:22 +0000

nextcloud-desktop (3.17.1-20250911.030244.705d6a77d-1.0~jammy1) jammy; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 11 Sep 2025 03:02:44 +0000



## nextcloud-desktop 3.17.2-20250916.174009.d15dca2ae-1.0~noble1trisquel4

=== debian/changelog ===
nextcloud-desktop (3.17.2-20250916.174009.d15dca2ae-1.0~noble1trisquel4) ecne-backports; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 17 Sep 2025 01:34:40 +0000

nextcloud-desktop (3.17.2-20250916.174009.d15dca2ae-1.0~noble1) noble; urgency=medium

  * Merge tag 'v3.17.2' into HEAD

 -- Drone User <drone@noemail.invalid>  Tue, 16 Sep 2025 17:40:15 +0000

nextcloud-desktop (3.17.2-20250916.084515.d15dca2ae-1.0~noble1) noble; urgency=medium

  * chore: prepare for release 3.17.2

 -- Jyrki Gadinger <nilsding@nilsding.org>  Tue, 16 Sep 2025 10:45:15 +0200

nextcloud-desktop (3.17.1-20250916.072856.deb88ee10-1.0~noble1) noble; urgency=medium

  * Merge pull request #8752 from nextcloud/backport/8667/stable-3.17

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Tue, 16 Sep 2025 09:28:56 +0200

nextcloud-desktop (2.7.0-20250830.083902.5c6aece53-1.0~noble1) noble; urgency=medium

  * Updated the Qt6 patch

 -- István Váradi <ivaradi@varadiistvan.hu>  Sat, 30 Aug 2025 10:39:02 +0200

nextcloud-desktop (3.17.1-20250828.140425.5b93ba474-1.0~noble1) noble; urgency=medium

  * fix:(logs): add a missing category for one fatal log line

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 28 Aug 2025 16:04:25 +0200

nextcloud-desktop (3.17.1-20250828.140319.49cb424f8-1.0~noble1) noble; urgency=medium

  * fix(windows): remove our hack to crash on windows for fatal logs

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 28 Aug 2025 16:03:19 +0200

nextcloud-desktop (3.17.1-20250828.140153.2160769f4-1.0~noble1) noble; urgency=medium

  * fix(logger): brings back crash dump on fatal log output

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Thu, 28 Aug 2025 16:01:53 +0200

nextcloud-desktop (3.17.1-20250916.030008.c82a3e7fc-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Tue, 16 Sep 2025 03:00:08 +0000

nextcloud-desktop (3.17.1-20250915.025952.2669c3411-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Mon, 15 Sep 2025 02:59:52 +0000

nextcloud-desktop (3.17.1-20250914.025846.5f13a8d3e-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sun, 14 Sep 2025 02:58:46 +0000

nextcloud-desktop (3.17.1-20250913.131429.443b7561c-1.0~noble1) noble; urgency=medium

  * Merge pull request #8736 from nextcloud/backport/8611/stable-3.17

 -- Jyrki Gadinger <nilsding@nilsding.org>  Sat, 13 Sep 2025 15:14:29 +0200

nextcloud-desktop (3.17.1-20250818.100949.3a7f4a285-1.0~noble1) noble; urgency=medium

  * feat(gui): inform the user about untrusted certs with HSTS

 -- Jyrki Gadinger <nilsding@nilsding.org>  Mon, 18 Aug 2025 12:09:49 +0200

nextcloud-desktop (3.17.1-20250913.030030.b6c90e363-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Sat, 13 Sep 2025 03:00:30 +0000

nextcloud-desktop (3.17.1-20250912.120052.ceeab0119-1.0~noble1) noble; urgency=medium

  * Merge pull request #8730 from nextcloud/backport/8726/stable-3.17

 -- Matthieu Gallien <matthieu.gallien@nextcloud.com>  Fri, 12 Sep 2025 14:00:52 +0200

nextcloud-desktop (3.17.1-20250911.083851.514826484-1.0~noble1) noble; urgency=medium

  * fix: Added clearance of NextcloudKit account error state on injection of credentials.

 -- Iva Horn <iva.horn@icloud.com>  Thu, 11 Sep 2025 10:38:51 +0200

nextcloud-desktop (3.17.1-20250912.083154.41b388652-1.0~noble1) noble; urgency=medium

  * Merge pull request #8732 from nextcloud/backport/8690/stable-3.17

 -- Jyrki Gadinger <nilsding@nilsding.org>  Fri, 12 Sep 2025 10:31:54 +0200

nextcloud-desktop (3.17.1-20250902.233304.faaba1066-1.0~noble1) noble; urgency=medium

  * refactor: introduce minimumScrollBarWidth and minimumScrollBarThumbSize as part of the style

 -- Baris <basar.baris1209@gmail.com>  Wed, 3 Sep 2025 01:33:04 +0200

nextcloud-desktop (3.17.1-20250831.200646.c4b153769-1.0~noble1) noble; urgency=medium

  * fix(ActivityList): set minimum width and thumb-size for vertical ScrollBar

 -- Baris <basar.baris1209@gmail.com>  Sun, 31 Aug 2025 22:06:46 +0200

nextcloud-desktop (3.17.1-20250830.215728.61087d5b8-1.0~noble1) noble; urgency=medium

  * fix(AcitivityList): fix scrollbar on the right Co-authored-by: Mike Mengjie Huang <mike0609king@gmail.com>

 -- Baris <basar.baris1209@gmail.com>  Sat, 30 Aug 2025 23:57:28 +0200

nextcloud-desktop (3.17.1-20250912.080321.600644e7f-1.0~noble1) noble; urgency=medium

  * Merge pull request #8731 from nextcloud/backport/8676/stable-3.17

 -- Jyrki Gadinger <nilsding@nilsding.org>  Fri, 12 Sep 2025 10:03:21 +0200

nextcloud-desktop (3.17.1-20250830.214017.3cf1cce4d-1.0~noble1) noble; urgency=medium

  * fix(activityItemContent): make text color light on activityItem activeFocus Co-authored-by: Mike Mengjie Huang <mike0609king@gmail.com>

 -- Baris <basar.baris1209@gmail.com>  Sat, 30 Aug 2025 23:40:17 +0200

nextcloud-desktop (3.17.1-20250912.030322.9342eec79-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Fri, 12 Sep 2025 03:03:22 +0000

nextcloud-desktop (3.17.1-20250911.030244.705d6a77d-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Thu, 11 Sep 2025 03:02:44 +0000

nextcloud-desktop (3.17.1-20250910.030536.cf8a7c32c-1.0~noble1) noble; urgency=medium

  * fix(l10n): Update translations from Transifex

 -- Nextcloud bot <bot@nextcloud.com>  Wed, 10 Sep 2025 03:05:36 +0000

nextcloud-desktop (3.17.1-20250909.101433.560a29dd8-1.0~noble1) noble; urgency=medium

  * Merge pull request #8723 from nextcloud/backport/8721/stable-3.17



## nextcloud-desktop 3.17.2-20251005.132336.d15dca2ae-1.0~jammy1+11.0trisquel4

=== test/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Nextcloud GmbH and Nextcloud contributors
# SPDX-FileCopyrightText: 2011 ownCloud GmbH
# SPDX-License-Identifier: GPL-2.0-or-later

include(DefinePlatformDefaults)

include(nextcloud_add_test.cmake)

set(CMAKE_AUTOMOC TRUE)

find_package(Qt${QT_VERSION_MAJOR}Core5Compat ${REQUIRED_QT_VERSION} CONFIG QUIET)

add_library(testutils
  STATIC
  syncenginetestutils.cpp
  pushnotificationstestutils.cpp
  themeutils.cpp
  testhelper.cpp
  sharetestutils.cpp
  endtoendtestutils.cpp
  activitylistmodeltestutils.cpp
)

target_link_libraries(testutils PUBLIC Nextcloud::sync Qt::Test Qt::Core5Compat)
target_include_directories(testutils PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
set_target_properties(testutils PROPERTIES FOLDER Tests)

nextcloud_add_test(NextcloudPropagator)

IF(BUILD_UPDATER)
    nextcloud_add_test(Updater)
endif()

nextcloud_add_test(NetrcParser)
nextcloud_add_test(OwnSql)
nextcloud_add_test(SyncJournalDB)
nextcloud_add_test(SyncFileItem)
nextcloud_add_test(ConcatUrl)
nextcloud_add_test(Cookies)
nextcloud_add_test(XmlParse)
nextcloud_add_test(ChecksumValidator)

nextcloud_add_test(ClientSideEncryption)
nextcloud_add_test(ClientSideEncryptionV2)

if (NOT APPLE)
    nextcloud_add_test(ExcludedFiles)
endif()

nextcloud_add_test(Utility)

if (NOT APPLE)
    nextcloud_add_test(SyncEngine)
    nextcloud_add_test(SyncVirtualFiles)
endif()

nextcloud_add_test(SyncMove)
nextcloud_add_test(SyncDelete)
nextcloud_add_test(SyncConflict)
nextcloud_add_test(SyncFileStatusTracker)
nextcloud_add_test(Download)
nextcloud_add_test(ChunkingNg)
nextcloud_add_test(AsyncOp)
nextcloud_add_test(UploadReset)
nextcloud_add_test(AllFilesDeleted)
nextcloud_add_test(Blacklist)
nextcloud_add_test(LocalDiscovery)
nextcloud_add_test(RemoteDiscovery)

if (NOT APPLE)
    nextcloud_add_test(Permissions)
endif()

nextcloud_add_test(SelectiveSync)
nextcloud_add_test(DatabaseError)
nextcloud_add_test(LockedFiles)

if (NOT WIN32)
    nextcloud_add_test(FolderWatcher)
endif()

nextcloud_add_test(Capabilities)
nextcloud_add_test(PushNotifications)
nextcloud_add_test(Theme)
nextcloud_add_test(IconUtils)
nextcloud_add_test(SetUserStatusDialog)
nextcloud_add_test(UnifiedSearchListmodel)
nextcloud_add_test(ActivityListModel)
nextcloud_add_test(SortedActivityListModel)
nextcloud_add_test(ActivityData)
nextcloud_add_test(TalkReply)
nextcloud_add_test(LockFile)
nextcloud_add_test(ShareModel)
nextcloud_add_test(ShareeModel)
nextcloud_add_test(SortedShareModel)
nextcloud_add_test(SecureFileDrop)
nextcloud_add_test(FileTagModel)
nextcloud_add_test(SyncConflictsModel)
nextcloud_add_test(DateFieldBackend)
nextcloud_add_test(ClientStatusReporting)

nextcloud_add_test(FileSystem)

nextcloud_add_test(FolderStatusModel)

target_link_libraries(SecureFileDropTest PRIVATE Nextcloud::sync)
configure_file(fake2eelocksucceeded.json "${PROJECT_BINARY_DIR}/bin/fake2eelocksucceeded.json" COPYONLY)
configure_file(fakefiledrope2eefoldermetadata.json "${PROJECT_BINARY_DIR}/bin/fakefiledrope2eefoldermetadata.json" COPYONLY)
configure_file(e2etestsfakecert.pem "${PROJECT_BINARY_DIR}/bin/e2etestsfakecert.pem" COPYONLY)
configure_file(e2etestsfakecertprivatekey.pem "${PROJECT_BINARY_DIR}/bin/e2etestsfakecertprivatekey.pem" COPYONLY)
configure_file(e2etestsfakecertpublickey.pem "${PROJECT_BINARY_DIR}/bin/e2etestsfakecertpublickey.pem" COPYONLY)
configure_file(fake2eelocksucceeded.json "${PROJECT_BINARY_DIR}/bin/fakeshortcut.base64" COPYONLY)


if(ADD_E2E_TESTS)
    nextcloud_add_test(E2eServerSetup)
    nextcloud_add_test(E2eFileTransfer)
else()
    nextcloud_build_test(E2eServerSetup)
    nextcloud_build_test(E2eFileTransfer)
endif()

if( UNIX AND NOT APPLE )
    nextcloud_add_test(InotifyWatcher)
endif(UNIX AND NOT APPLE)

if (WIN32)
    include_directories(
        ${CMAKE_BINARY_DIR}/src/libsync/vfs/cfapi
    )

    nextcloud_add_test(SyncCfApi)
	nextcloud_add_test(CfApiShellExtensionsIPC)
    target_sources(CfApiShellExtensionsIPCTest PRIVATE "${CMAKE_SOURCE_DIR}/src/libsync/vfs/cfapi/shellext/thumbnailprovideripc.cpp" "${CMAKE_SOURCE_DIR}/src/libsync/vfs/cfapi/shellext/customstateprovideripc.cpp" "${CMAKE_SOURCE_DIR}/src/libsync/vfs/cfapi/shellext/ipccommon.cpp")
elseif(LINUX) # elseif(LINUX OR APPLE)
    nextcloud_add_test(SyncXAttr)
endif()

nextcloud_add_test(LongPath)
nextcloud_add_benchmark(LargeSync)

nextcloud_add_test(Account)
nextcloud_add_test(Folder)
nextcloud_add_test(FolderMan)
nextcloud_add_test(RemoteWipe)

configure_file(test_journal.db "${PROJECT_BINARY_DIR}/bin/test_journal.db" COPYONLY)

find_package(CMocka)
if (CMOCKA_FOUND)
    include(AddCMockaTest)
    add_subdirectory(csync)
endif (CMOCKA_FOUND)

=== debian/changelog ===
nextcloud-desktop (3.17.2-20251005.132336.d15dca2ae-1.0~jammy1+11.0trisquel4) aramo-backports; urgency=medium

  * Backported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 05 Oct 2025 18:50:31 +0000

nextcloud-desktop (3.17.2-20251005.132336.d15dca2ae-1.0~jammy1) jammy; urgency=medium

  * Merge tag 'v3.17.2' into HEAD

 -- Drone User <drone@noemail.invalid>  Sun, 5 Oct 2025 13:23:39 +0000

nextcloud-desktop (2.7.0-20251005.124546.6a67e94db-1.0~jammy1) jammy; urgency=medium

  * Updated the Qt6 patch

 -- István Váradi <ivaradi@varadiistvan.hu>  Sun, 5 Oct 2025 14:45:46 +0200

=== debian/control ===
Source: nextcloud-desktop
Section: net
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Alf Gaida <agaida@siduction.org>
Build-Depends: appstream,
               cmake (>= 3.2~),
               debhelper-compat (= 12),
               dh-python,
               doxygen,
               extra-cmake-modules (>= 1.2.0~),
               inkscape,
               libcloudproviders-dev,
               libcmocka-dev,
               libdbus-1-dev,
               libinotify-dev [kfreebsd-any],
               libkf5kio-dev (>= 5.16.0~),
               libp11-dev,
               libqt6opengl6-dev,
               libgl-dev,
               libqt6svg6-dev,
               libqt6websockets6-dev,
               libsqlite3-dev (>= 3.8.0~),
               libssl-dev (>= 1.1~),
               pkg-config,
               python3-all,
               python3-sphinx,
               qtkeychain-qt6-dev,
               qt6-base-dev (>= 6.2~),
               qt6-tools-dev,
               qt6-tools-dev-tools,
               qt6-webengine-dev (>= 6.2~),
               qt6-webengine-dev-tools,
               qt6-base-private-dev,
               qt6-l10n-tools,
               libqt6core5compat6-dev,
               texlive-latex-base,
               zlib1g-dev,
               xauth,
               xvfb,
Rules-Requires-Root: no
Standards-Version: 4.4.1
Homepage: https://nextcloud.com/install/#install-clients
Vcs-Browser: https://salsa.debian.org/owncloud-team/nextcloud-desktop
Vcs-Git: https://salsa.debian.org/owncloud-team/nextcloud-desktop.git

Package: nextcloud-desktop
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Depends: libnextcloudsync0 (= ${binary:Version}),
         libqt6sql6-sqlite,
         libqt6webenginecore6-bin,
         nextcloud-desktop-common,
         nextcloud-desktop-l10n,
         qml6-module-qtqml-models,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-window,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-dialogs,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-workerscript,
         qml6-module-qtmultimedia,
         qt6-qpa-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: nextcloud-client (<< ${binary:Version})
Suggests: dolphin-nextcloud, nautilus-nextcloud, nemo-nextcloud, caja-nextcloud
Description: Nextcloud folder synchronization tool
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 nextcloud-desktop provides the graphical client specialising in
 synchronizing with cloud storage provided by Nextcloud.

Package: libnextcloudsync0
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Description: Nextcloud folder synchronization - libraries
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the library for nextcloud-desktop.

Package: libnextcloudsync-dev
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Multi-Arch: same
Depends: libnextcloudsync0 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Description: Nextcloud folder synchronization - development files
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package contains the library development files.

Package: nextcloud-desktop-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libnextcloudsync0 (<< ${binary:Version}), nextcloud-client (<< ${binary:Version})
Description: Nextcloud folder synchronization - common data
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides data that is shared between different packages.

Package: nextcloud-desktop-l10n
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: nextcloud-client-l10n (<< ${binary:Version})
Section: localization
Description: Nextcloud folder synchronization - localization
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the localization.

Package: nextcloud-desktop-cmd
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Depends: libnextcloudsync0 (= ${binary:Version}),
         libqt6sql6-sqlite,
         nextcloud-desktop-common,
         nextcloud-desktop-l10n,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: nextcloud-client (<< ${binary:Version})
Description: folder synchronization with an Nextcloud server - cmd client
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 This package provides the command line client specialising in
 synchronizing with cloud storage provided by Nextcloud.

Package: dolphin-nextcloud
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Multi-Arch: same
Section: kde
Depends: dolphin (>= 4:15.12.1),
         libnextcloudsync0 (= ${binary:Version}),
         nextcloud-desktop,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: nextcloud-client-dolphin (<< ${binary:Version})
Enhances: dolphin
Description: Nextcloud integration for Dolphin
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Dolphin Nextcloud is an extension that integrates the Nextcloud web service
 with your Plasma Desktop (KDE).

Package: nautilus-nextcloud
Architecture: all
Section: gnome
Depends: nautilus,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         python3-nautilus,
         ${misc:Depends},
         ${python3:Depends}
Suggests: nautilus-script-manager
Replaces: nextcloud-client-nautilus (<< ${binary:Version})
Enhances: nautilus
Description: Nextcloud integration for Nautilus
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Nautilus Nextcloud is an extension that integrates the Nextcloud web service
 with your GNOME Desktop.

Package: nemo-nextcloud
Architecture: all
Depends: nemo,
         nemo-python | python-nemo,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         ${misc:Depends},
         ${python3:Depends}
Replaces: nextcloud-client-nemo (<< ${binary:Version})
Enhances: nemo
Description: Nextcloud integration for Nemo
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Nemo Nextcloud is an extension that integrates the Nextcloud web service with
 your Cinnamon Desktop.

Package: caja-nextcloud
Architecture: all
Depends: caja,
         nextcloud-desktop (<< ${source:Version}.1~),
         nextcloud-desktop (>= ${source:Version}),
         nextcloud-desktop-common,
         python3-caja,
         python3-gi,
         ${misc:Depends},
         ${python3:Depends}
Replaces: nextcloud-client-caja (<< ${binary:Version})
Enhances: caja
Description: Nextcloud integration for Caja
 The Nextcloud desktop app lets you always have your latest files wherever
 you are. Just specify one or more folders on the local machine to and a server
 to synchronize to. You can configure more computers to synchronize to the same
 server and any change to the files on one computer will silently and reliably
 flow across to every other.
 .
 Caja Nextcloud is an extension that integrates the Nextcloud web service with
 your MATE Desktop.

Package: nextcloud-client
Section: oldlibs
Priority: optional
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Depends: nextcloud-desktop (= ${binary:Version}), nextcloud-desktop-cmd (= ${binary:Version}), ${misc:Depends}
Description: Nextcloud folder synchronization tool (transitional package)
 This is a transitional package for compatibility with the old Nextcloud
 client PPA packages names. It can be safely deleted.

Package: nextcloud-client-l10n
Section: oldlibs
Priority: optional
Architecture: all
Depends: nextcloud-desktop-l10n (= ${binary:Version}), ${misc:Depends}
Description: Nextcloud folder synchronization - localization (transitional package)
 This is a transitional package for compatibility with the old Nextcloud
 client PPA packages names. It can be safely deleted.

Package: nextcloud-client-caja
Section: oldlibs
Priority: optional
Architecture: all
Depends: caja-nextcloud (= ${binary:Version}), ${misc:Depends}
Description: Nextcloud integration for Caja (transitional package)
 This is a transitional package for compatibility with the old Nextcloud
 client PPA packages names. It can be safely deleted.

Package: nextcloud-client-dolphin
Section: oldlibs
Priority: optional
Architecture: amd64 arm64 armhf i386 mips64el mipsel
Depends: dolphin-nextcloud (= ${binary:Version}), ${misc:Depends}
Description: Nextcloud integration for Dolphin (transitional package)
 This is a transitional package for compatibility with the old Nextcloud
 client PPA packages names. It can be safely deleted.

Package: nextcloud-client-nautilus
Section: oldlibs
Priority: optional
Architecture: all
Depends: nautilus-nextcloud (= ${binary:Version}), ${misc:Depends}
Description: Nextcloud integration for Nautilus (transitional package)
 This is a transitional package for compatibility with the old Nextcloud
 client PPA packages names. It can be safely deleted.

Package: nextcloud-client-nemo
Section: oldlibs
Priority: optional
Architecture: all
Depends: nemo-nextcloud (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --with sphinxdoc

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DQUICK_COMPILER=ON \
		-DUNIT_TESTING=ON \
		-DEXTERNAL_VERSION=$(DEB_VERSION) \
		-DPLUGIN_INSTALL_DIR=/usr/lib/$(DEB_HOST_GNU_TYPE)/qt6/plugins \
		-DBUILD_UPDATER=OFF

override_dh_auto_test-arch:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p obj-$(DEB_HOST_GNU_TYPE)/config
	- LC_ALL=C.UTF-8 XDG_CONFIG_HOME=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/config xvfb-run -a \
	       -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
	       -- dh_auto_test --no-parallel
	rm -r obj-$(DEB_HOST_GNU_TYPE)/config
else
	@echo "** tests disabled"
endif

override_dh_auto_test-indep:

override_dh_auto_build-indep:
	dh_auto_build -- -C shell_integration/nautilus
	dh_auto_build # unfortunatelly we don't get icons and translations otherwise.

override_dh_auto_build-arch:
	dh_auto_build --

override_dh_missing:
	$(RM) debian/tmp/usr/share/doc/client/nextcloud-client/html/unthemed/.buildinfo
	dh_missing --fail-missing

override_dh_python3-arch:

override_dh_python3:
	dh_python3 -i -p nautilus-owncloud usr/share/nautilus-python/extensions
	dh_python3 -i -p nemo-owncloud usr/share/nemo-python/extensions
	dh_python3 -i -p caja-owncloud usr/share/caja-python/extensions
